FreeTDS(February 28, 2008)

NAME
datacopy - move table data between two servers

SYNOPSIS
datacopy { -t | -a | -c owner } [-b batchsize] [-p packetsize] [-v] [-d]
[-S server/username/password/database/table_or_view]
[-D server/username/password/database/table]

DESCRIPTION
datacopy is a utility distributed with FreeTDS. datacopy will move table data from one server to another without the need for intermediate files. datacopy is much faster and more efficient than is freebcp out/in.

datacopy makes use of the db-lib bcp API built into FreeTDS. This API is also available to application developers.

datacopy can be used to migrate data between Sybase ASE and SQL Server or vice versa.

OPTIONS

-t  Truncate target table before loading data.

-a  Append data to target table.

-c owner
    Create the target table with the same schema as the source table. datacopy will submit a 'create table' command on the target server/database using the specified owner in

    the command, e.g. CREATE TABLE owner.table (...).

-b batchsize
    The number of rows per batch of data copied. Each batch of data is effectively 'committed' to the database. The default is 1000.

-p packetsize
    The number of bytes, per network packet, sent to and from the servers. Increased packet size can enhance performance.

-v  Produce verbose output, including diagnostic timings.

-d  Produce freetds TDSDUMP output. (Serious debug only!)

-S server/username/password/database/table_or_view
    The connection information for the source server and the location/name of the table (or view) to be copied. If not specified, datacopy will prompt the user for the information.

-D server/username/password/database/table
    The connection information for the destination server and the location/name of the target table. If not specified, datacopy will prompt the user for the information.

SEE ALSO
freebcp(1), defncopy(1), bsqldb(1), tsql(1), FreeTDS User Guide.

HISTORY
datacopy first appeared in FreeTDS 0.64.

AUTHORS
The datacopy utility was written by Bill Thompson (thompbil@exchange.uk.ml.com).